%global api	5
%global major	0
%define libname %mklibname amtk %api %major
%define girname	%mklibname amtk-gir %{api}
%define devname %mklibname -d amtk %api

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:           amtk
Version:        5.1.2
Release:        %mkrel 1
Summary:        Text editor product line
Group:		    System/Libraries

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Amtk
Source0:        https://download.gnome.org/sources/amtk/%{url_ver}/amtk-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(uchardet)

%description
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. Tepl is the acronym for “Text editor product line”.

%package        -n %{libname}
Summary:        Libraries for %{name}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description    -n %{libname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        -n %{devname}
Summary:        Development files for %{name}
Group:		Development/Libraries
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description    -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure2_5x 
%make_build V=1

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang amtk-%{api}

%files -f amtk-%{api}.lang
%doc AUTHORS NEWS README

%files -n %libname
%{_libdir}/libamtk-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Amtk-%{api}.typelib

%files -n %devname
%doc %{_datadir}/gtk-doc/html/amtk-5.0/
%{_includedir}/amtk-%{api}/
%{_libdir}/libamtk-%{api}.so
%{_libdir}/pkgconfig/amtk-%{api}.pc
%{_datadir}/gir-1.0/Amtk-%{api}.gir

%changelog
* Mon Sep 07 2020 tex - 5.1.2-1pclos2020
- new version

* Fri Sep 06 2019 tex - 5.0.1-1pclos2019
- new version 5.0.1

